{
  "ConnectionStrings": {
    "ConfigurationDbConnection": "Server=192.168.1.170;Port=5432;Database=skoruba;User Id=skoruba;Password=wsb7sebwm$BoZ9;application_name=litecharms_security;",
    "PersistedGrantDbConnection": "Server=192.168.1.170;Port=5432;Database=skoruba;User Id=skoruba;Password=wsb7sebwm$BoZ9;application_name=litecharms_security;",
    "IdentityDbConnection": "Server=192.168.1.170;Port=5432;Database=skoruba;User Id=skoruba;Password=wsb7sebwm$BoZ9;application_name=litecharms_security;",
    "DataProtectionDbConnection": "Server=192.168.1.170;Port=5432;Database=skoruba;User Id=skoruba;Password=wsb7sebwm$BoZ9;application_name=litecharms_security;"
  },
  "DatabaseProviderConfiguration": {
    "ProviderType": "PostgreSQL"
  },
  "CertificateConfiguration": {
    "UseTemporarySigningKeyForDevelopment": true,

    "CertificateStoreLocation": "LocalMachine",
    "CertificateValidOnly": true,

    "UseSigningCertificateThumbprint": false,
    "SigningCertificateThumbprint": "",

    "UseSigningCertificatePfxFile": false,
    "SigningCertificatePfxFilePath": "",
    "SigningCertificatePfxFilePassword": "",

    "UseValidationCertificatePfxFile": false,
    "ValidationCertificatePfxFilePath": "",
    "ValidationCertificatePfxFilePassword": "",

    "UseValidationCertificateThumbprint": false,
    "ValidationCertificateThumbprint": "",

    "UseSigningCertificateForAzureKeyVault": false,
    "UseValidationCertificateForAzureKeyVault": false
  },
  "RegisterConfiguration": {
    "Enabled": true
  },

  "ExternalProvidersConfiguration": {
    "UseGitHubProvider": false,
    "GitHubClientId": "",
    "GitHubClientSecret": "",
    "UseAzureAdProvider": false,
    "AzureAdClientId": "",
    "AzureAdTenantId": "",
    "AzureInstance": "",
    "AzureAdSecret": "",
    "AzureAdCallbackPath": "",
    "AzureDomain": ""
  },
  "SmtpConfiguration": {
    "Host": "",
    "Login": "",
    "Password": ""
  },
  "SendGridConfiguration": {
    "ApiKey": "",
    "SourceEmail": "",
    "SourceName": ""
  },
  "LoginConfiguration": {
    "ResolutionPolicy": "Username"
  },
  "AdminConfiguration": {
    "PageTitle": "Lite Charms IdentityServer",
    "HomePageLogoUri": "~/images/skoruba-icon.svg",
    "FaviconUri": "~/favicon.svg",
    "Theme": null,
    "CustomThemeCss": null,
    "IdentityAdminBaseUrl": "https://localhost:7127",
    "AdministrationRole": "Admin"
  },
  "CspTrustedDomains": [
    "www.gravatar.com",
    "fonts.googleapis.com",
    "fonts.gstatic.com"
  ],
  "ForwardedHeadersConfiguration": {
    "Enabled": true,
    "AllowAll": true,
    "KnownProxies": [],
    "KnownNetworks": [],
    "ForwardLimit": 1
  },
  "CultureConfiguration": {
    "Cultures": [],
    "DefaultCulture": null
  },
  "IdentityServerOptions": {
    "KeyManagement": {
      "Enabled": true
    },
    "Events": {
      "RaiseErrorEvents": true,
      "RaiseInformationEvents": true,
      "RaiseFailureEvents": true,
      "RaiseSuccessEvents": true
    }
  },
  "ServerSideSessionsConfiguration": {
    "Enabled": true
  },
  "BasePath": "",
  "IdentityOptions": {
    "Password": {
      "RequiredLength": 8
    },
    "User": {
      "RequireUniqueEmail": true
    },
    "SignIn": {
      "RequireConfirmedAccount": false
    }
  },

  "DataProtectionConfiguration": {
    "ProtectKeysWithAzureKeyVault": false
  },
  "AzureKeyVaultConfiguration": {
    "AzureKeyVaultEndpoint": "",
    "ClientId": "",
    "ClientSecret": "",
    "TenantId": "",
    "GitHubCallbackPath": "",
    "UseClientCredentials": true,
    "IdentityServerCertificateName": "",
    "DataProtectionKeyIdentifier": "",
    "ReadConfigurationFromKeyVault": false
  }
}
